<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			christian.rodriguez
@CU 				CU-SA-AC-091 Convocar Comite y Registrar Acta
@MB					ConvocarComiteRegistrarActaMB (convocarComiteRegistrarActa)
-->

<h:form id="convocarComiteCargarActaForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer height="5" />

    <p:fieldset>

        <legend>
            <h:outputText value="Integrantes del comité" styleClass="legendTitle" />
        </legend>

        <p:messages id="msgsCCCA" showDetail="false" globalOnly="false" />

        <h:panelGrid columns="1" cellspacing="7" width="100%">

            <p:dataTable value="#{convocarComiteRegistrarActa.participantes}"
                         var="participante" paginator="true" rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                         {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                         emptyMessage="No se encontraron profesionales participantes en el comité">

                <p:column headerText="Asistió" style="width:18px">
                    <p:selectBooleanCheckbox value="#{participante.asisteBoolean}" />
                </p:column>

                <p:column headerText="Profesional">
                    <h:outputText value="#{participante.nombre}"
                                  styleClass="outputTextStyle" />
                </p:column>
                <p:column headerText="Actividad">
                    <h:outputText value="#{participante.actividad}"
                                  styleClass="outputTextStyle" />
                </p:column>

            </p:dataTable>

            <h:panelGrid columns="2">
                <h:outputLabel value="Acta firmada:" styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <p:fileUpload id="actaFirmada" label="Acta firmada"
                          fileUploadListener="#{convocarComiteRegistrarActa.cargarActaFirmada}"
                          dragDropSupport="true"
                          invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                          widgetVar="uploader" mode="advanced" auto="true"
                          sizeLimit="10000000" allowTypes="/(\.|\/)(pdf)$/" required="true"
                          requiredMessage="Debe ingresar el archivo" />

        </h:panelGrid>
    </p:fieldset>

    <h:panelGrid cellspacing="7" columns="1">

        <p:commandButton value="Cargar acta" icon="ui-icon-folder-open"
                         action="#{convocarComiteRegistrarActa.cargarActaFirmadaYGuardar}"
                         update=":msgsRAC, 
                         :registrarActaComiteForm,
                         :convocarComiteCargarActaForm"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); 
                         handleCompleteSIC(xhr, status, args, memorandoWV, true);
                         handleCompleteSIC(xhr, status, args, cargarActaWV, false);" />

    </h:panelGrid>
</h:form>